1 Getting Started

This section provides instructions for installing, uninstalling, and upgrading Dracula.


For the latest release of Dracula, you need DrRacket version 5.0 or above, or DrScheme version 4.0.1 or above. Download and install from the Racket web site. Dracula also requires ACL2 version 3.1+. Download and install from the ACL2 site at UT, Austin.

Installing Dracula

Dracula is available as a Planet package. It can be installed using the planet command line utility. On Windows, this utility is in the directory where Racket is installed; on Mac or Unix, it is in the bin subdirectory. To install Dracula using this utility, execute:

planet install cce dracula.plt 8 14

Uninstalling Dracula

To uninstall Dracula, run the following at the command line:

raco planet remove cce dracula.plt 8 14

For other versions of Dracula, change the major and minor version numbers.

Upgrading Dracula

To upgrade, remove the old Dracula as shown here. Then follow the installation instructions above.

Running Dracula programs as scripts

To run a Dracula program, e.g. ""program.lisp"". from the command line, add the following line to the top of the main file:

  #lang planet cce/dracula

Then run:

racket program.lisp